Intermittent test_mozsettings.html | application crashed [@ mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::DetermineMaintenanceAction(mozIStorageConnection *,nsIFile *,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::MaintenanceAction *)]

RESOLVED FIXED in mozilla47

Status

()

Core
DOM: IndexedDB
RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: KWierso, Assigned: janv)

Tracking

({intermittent-failure})

41 Branch
mozilla47
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
15:08:36 INFO - 133 INFO TEST-START | dom/tests/mochitest/geolocation/test_mozsettings.html
15:08:36 INFO - ++DOMWINDOW == 79 (11AB6000) [pid = 1228] [serial = 450] [outer = 1BFEC000]
15:08:37 INFO - [1228] WARNING: Suboptimal indexes for the SQL statement 0x1c260320 (http://mzl.la/1FuID0j).: file c:/builds/moz2_slave/fx-team-w32-d-0000000000000000/build/src/storage/mozStoragePrivateHelpers.cpp, line 109
15:08:37 INFO - [1228] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file c:/builds/moz2_slave/fx-team-w32-d-0000000000000000/build/src/storage/mozStorageConnection.cpp, line 704
15:08:37 INFO - [1228] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file c:/builds/moz2_slave/fx-team-w32-d-0000000000000000/build/src/storage/mozStorageService.cpp, line 882
15:08:37 INFO - [1228] WARNING: Received NS_ERROR_STORAGE_BUSY when attempting to open database '2588645841ssegtnti.sqlite', retrying for up to 10 seconds: file c:/builds/moz2_slave/fx-team-w32-d-0000000000000000/build/src/dom/indexedDB/ActorsParent.cpp, line 3793
15:08:37 INFO - [1228] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file c:/builds/moz2_slave/fx-team-w32-d-0000000000000000/build/src/storage/mozStorageConnection.cpp, line 704
15:08:37 INFO - [1228] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80630001: file c:/builds/moz2_slave/fx-team-w32-d-0000000000000000/build/src/storage/mozStorageService.cpp, line 882
15:08:37 INFO - [1228] WARNING: Suboptimal indexes for the SQL statement 0x19781e80 (http://mzl.la/1FuID0j).: file c:/builds/moz2_slave/fx-team-w32-d-0000000000000000/build/src/storage/mozStoragePrivateHelpers.cpp, line 109
15:08:37 INFO - *** WIFI GEO: shutdown called
15:08:38 INFO - Assertion failure: lastVacuumSize > 0, at c:/builds/moz2_slave/fx-team-w32-d-0000000000000000/build/src/dom/indexedDB/ActorsParent.cpp:16791
15:08:51 INFO - #01: mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::PerformIdleMaintenanceOnDatabaseInternal(unsigned int,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo const &) [dom/indexeddb/ActorsParent.cpp:16566]
15:08:51 INFO - #02: mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::PerformIdleMaintenanceOnDatabase(unsigned int,nsACString_internal const &,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&) [dom/indexeddb/ActorsParent.cpp:16504]
15:08:51 INFO - #03: nsRunnableMethodArguments<unsigned int,nsCString,mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::SingleMaintenanceInfo &&>::apply<mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient,void ( mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::*)(unsigned int,nsACString_internal const &,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&)>(mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient *,void ( mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::*)(unsigned int,nsACString_internal const &,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&)) [xpcom/glue/nsThreadUtils.h:663]
15:08:51 INFO - #04: nsRunnableMethodImpl<void ( mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::*)(unsigned int,nsACString_internal const &,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&),1,unsigned int,nsCString,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&>::Run() [xpcom/glue/nsThreadUtils.h:827]
15:08:51 INFO - #05: nsThreadPool::Run() [xpcom/threads/nsThreadPool.cpp:223]
15:08:51 INFO - #06: nsThread::ProcessNextEvent(bool,bool *) [xpcom/threads/nsThread.cpp:848]
15:08:51 INFO - #07: NS_ProcessNextEvent(nsIThread *,bool) [xpcom/glue/nsThreadUtils.cpp:265]
15:08:51 INFO - #08: mozilla::ipc::MessagePumpForNonMainThreads::Run(base::MessagePump::Delegate *) [ipc/glue/MessagePump.cpp:355]
15:08:51 INFO - #09: MessageLoop::RunInternal() [ipc/chromium/src/base/message_loop.cc:234]
15:08:51 INFO - #10: MessageLoop::RunHandler() [ipc/chromium/src/base/message_loop.cc:228]
15:08:51 INFO - #11: MessageLoop::Run() [ipc/chromium/src/base/message_loop.cc:202]
15:08:51 INFO - #12: nsThread::ThreadFunc(void *) [xpcom/threads/nsThread.cpp:362]
15:08:52 INFO - #13: _PR_NativeRunThread [nsprpub/pr/src/threads/combined/pruthr.c:397]
15:08:52 INFO - #14: pr_root [nsprpub/pr/src/md/windows/w95thred.c:90]
15:08:52 INFO - #15: MSVCR120 + 0x2c01d
15:08:52 INFO - #16: MSVCR120 + 0x2c001
15:08:52 INFO - #17: kernel32 + 0x53c45
15:08:52 INFO - #18: ntdll + 0x637f5
15:08:52 INFO - #19: ntdll + 0x637c8
15:08:52 INFO - TEST-INFO | Main app process: exit status 1
15:08:52 INFO - 134 INFO TEST-PASS | dom/tests/mochitest/geolocation/test_mozsettings.html | A valid string reason is expected
15:08:52 INFO - 135 INFO TEST-PASS | dom/tests/mochitest/geolocation/test_mozsettings.html | Reason cannot be empty
15:08:52 INFO - 136 INFO TEST-PASS | dom/tests/mochitest/geolocation/test_mozsettings.html | get geolocation object
15:08:52 INFO - 137 INFO TEST-PASS | dom/tests/mochitest/geolocation/test_mozsettings.html | set done
15:08:52 INFO - 138 INFO TEST-PASS | dom/tests/mochitest/geolocation/test_mozsettings.html | turned off geolocation via mozSettings
15:08:52 INFO - 139 INFO TEST-FAIL | dom/tests/mochitest/geolocation/test_mozsettings.html | The author of the test has indicated that flaky timeouts are expected. Reason: untriaged
15:08:52 WARNING - TEST-UNEXPECTED-FAIL | dom/tests/mochitest/geolocation/test_mozsettings.html | application terminated with exit code 1
15:08:52 INFO - runtests.py | Application ran for: 0:03:17.507000
15:08:52 INFO - zombiecheck | Reading PID log: c:\users\cltbld\appdata\local\temp\tmpgesam6pidlog
15:09:04 INFO - mozcrash Saved minidump as C:\slave\test\build\blobber_upload_dir\2b266c11-2370-46f7-91b6-9441a0f716e1.dmp
15:09:04 INFO - mozcrash Saved app info as C:\slave\test\build\blobber_upload_dir\2b266c11-2370-46f7-91b6-9441a0f716e1.extra
15:09:04 WARNING - PROCESS-CRASH | dom/tests/mochitest/geolocation/test_mozsettings.html | application crashed [@ mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::DetermineMaintenanceAction(mozIStorageConnection *,nsIFile *,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::MaintenanceAction *)]
15:09:04 INFO - Crash dump filename: c:\users\cltbld\appdata\local\temp\tmp1now0i.mozrunner\minidumps\2b266c11-2370-46f7-91b6-9441a0f716e1.dmp
15:09:04 INFO - Operating system: Windows NT
15:09:04 INFO - 6.1.7601 Service Pack 1
15:09:04 INFO - CPU: x86
15:09:04 INFO - GenuineIntel family 6 model 30 stepping 5
15:09:04 INFO - 8 CPUs
15:09:04 INFO - Crash reason: EXCEPTION_BREAKPOINT
15:09:04 INFO - Crash address: 0x65899f42
15:09:04 INFO - Thread 79 (crashed) 
15:09:04 INFO - 0 xul.dll!mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::DetermineMaintenanceAction(mozIStorageConnection *,nsIFile *,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::MaintenanceAction *) [ActorsParent.cpp:9976683b3e5a : 16719 + 0x21]
15:09:04 INFO - eip = 0x65899f42 esp = 0x20a0fa44 ebp = 0x20a0fad8 ebx = 0x00000000
15:09:04 INFO - esi = 0x00004197 edi = 0x20a0fb0c eax = 0x00000000 ecx = 0x6a3d0ad9
15:09:04 INFO - edx = 0x0025f631 efl = 0x00000216
15:09:04 INFO - Found by: given as instruction pointer in context
15:09:04 INFO - 1 xul.dll!mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::PerformIdleMaintenanceOnDatabaseInternal(unsigned int,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo const &) [ActorsParent.cpp:9976683b3e5a : 16565 + 0x10]
15:09:04 INFO - eip = 0x658b72cc esp = 0x20a0fae0 ebp = 0x20a0fb20
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 2 xul.dll!mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::PerformIdleMaintenanceOnDatabase(unsigned int,nsACString_internal const &,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&) [ActorsParent.cpp:9976683b3e5a : 16497 + 0xa]
15:09:04 INFO - eip = 0x658b7007 esp = 0x20a0fb28 ebp = 0x20a0fb40
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 3 xul.dll!nsRunnableMethodArguments<unsigned int,nsCString,mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::SingleMaintenanceInfo &&>::apply<mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient,void ( mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::*)(unsigned int,nsACString_internal const &,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&)>(mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient *,void ( mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::*)(unsigned int,nsACString_internal const &,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&)) [nsThreadUtils.h:9976683b3e5a : 663 + 0x27]
15:09:04 INFO - eip = 0x65886b49 esp = 0x20a0fb48 ebp = 0x20a0fb64
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 4 xul.dll!nsRunnableMethodImpl<void ( mozilla::dom::indexedDB::`anonymous namespace'::QuotaClient::*)(unsigned int,nsACString_internal const &,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&),1,unsigned int,nsCString,mozilla::dom::indexedDB::A0xf5f101a2::QuotaClient::SingleMaintenanceInfo &&>::Run() [nsThreadUtils.h:9976683b3e5a : 825 + 0x10]
15:09:04 INFO - eip = 0x658bd48a esp = 0x20a0fb6c ebp = 0x20a0fb78
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 5 xul.dll!nsThreadPool::Run() [nsThreadPool.cpp:9976683b3e5a : 221 + 0xd]
15:09:04 INFO - eip = 0x6425e47a esp = 0x20a0fb80 ebp = 0x20a0fbb0
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 6 xul.dll!nsThread::ProcessNextEvent(bool,bool *) [nsThread.cpp:9976683b3e5a : 848 + 0xd]
15:09:04 INFO - eip = 0x6425c57c esp = 0x20a0fbb8 ebp = 0x20a0fc8c
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 7 xul.dll!NS_ProcessNextEvent(nsIThread *,bool) [nsThreadUtils.cpp:9976683b3e5a : 265 + 0xc]
15:09:04 INFO - eip = 0x64285c3d esp = 0x20a0fc94 ebp = 0x20a0fca0
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 8 xul.dll!mozilla::ipc::MessagePumpForNonMainThreads::Run(base::MessagePump::Delegate *) [MessagePump.cpp:9976683b3e5a : 355 + 0x9]
15:09:04 INFO - eip = 0x644e6591 esp = 0x20a0fca8 ebp = 0x20a0fccc
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 9 xul.dll!MessageLoop::RunInternal() [message_loop.cc:9976683b3e5a : 234 + 0xe]
15:09:04 INFO - eip = 0x644b92c8 esp = 0x20a0fcd4 ebp = 0x20a0fcec
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 10 xul.dll!MessageLoop::RunHandler() [message_loop.cc:9976683b3e5a : 227 + 0x4]
15:09:04 INFO - eip = 0x644b9280 esp = 0x20a0fcf4 ebp = 0x20a0fd20
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 11 xul.dll!MessageLoop::Run() [message_loop.cc:9976683b3e5a : 201 + 0x6]
15:09:04 INFO - eip = 0x644b8ff9 esp = 0x20a0fd28 ebp = 0x20a0fd40
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 12 xul.dll!nsThread::ThreadFunc(void *) [nsThread.cpp:9976683b3e5a : 360 + 0xb]
15:09:04 INFO - eip = 0x642602a9 esp = 0x20a0fd48 ebp = 0x20a0fd60
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 13 nss3.dll!_PR_NativeRunThread [pruthr.c:9976683b3e5a : 397 + 0x7]
15:09:04 INFO - eip = 0x6409f778 esp = 0x20a0fd68 ebp = 0x20a0fd7c
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 14 nss3.dll!pr_root [w95thred.c:9976683b3e5a : 90 + 0xb]
15:09:04 INFO - eip = 0x6409042f esp = 0x20a0fd84 ebp = 0x20a0fd88
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 15 msvcr120.dll + 0x2c01c
15:09:04 INFO - eip = 0x6a3dc01d esp = 0x20a0fd90 ebp = 0x20a0fdc0
15:09:04 INFO - Found by: call frame info
15:09:04 INFO - 16 msvcr120.dll + 0x2c000
15:09:04 INFO - eip = 0x6a3dc001 esp = 0x20a0fdc8 ebp = 0x20a0fdcc
15:09:04 INFO - Found by: previous frame's frame pointer
15:09:04 INFO - 17 kernel32.dll + 0x53c44
15:09:04 INFO - eip = 0x77853c45 esp = 0x20a0fdd4 ebp = 0x20a0fdd8
15:09:04 INFO - Found by: previous frame's frame pointer
15:09:04 INFO - 18 ntdll.dll + 0x637f4
15:09:04 INFO - eip = 0x777237f5 esp = 0x20a0fde0 ebp = 0x20a0fe18
15:09:04 INFO - Found by: previous frame's frame pointer
15:09:04 INFO - 19 ntdll.dll + 0x637c7
15:09:04 INFO - eip = 0x777237c8 esp = 0x20a0fe20 ebp = 0x20a0fe30
15:09:04 INFO - Found by: previous frame's frame pointer
15:09:04 INFO - Thread 0
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Flags: needinfo?(Jan.Varga)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 35

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* b2g-inbound: 3
* mozilla-inbound: 2
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* windows7-32: 6
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179538&startday=2015-11-16&endday=2015-11-22&tree=all

Comment 36

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* b2g-inbound: 3
* fx-team: 2
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 6
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179538&startday=2015-11-23&endday=2015-11-29&tree=all

Comment 37

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 2
* mozilla-central: 1
* b2g-inbound: 1

Platform breakdown:
* windows8-64: 4
* windows7-32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179538&startday=2015-11-30&endday=2015-12-06&tree=all

Comment 38

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5
* mozilla-central: 3
* fx-team: 2
* try: 1

Platform breakdown:
* windows7-32: 6
* windows8-64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179538&startday=2015-12-07&endday=2015-12-13&tree=all

Comment 39

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* mozilla-inbound: 2
* b2g-inbound: 2

Platform breakdown:
* windows7-32: 4
* windows8-64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179538&startday=2015-12-14&endday=2015-12-20&tree=all

Comment 40

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-aurora: 1
* b2g-inbound: 1

Platform breakdown:
* windows7-32: 4
* windows8-64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179538&startday=2015-12-21&endday=2015-12-27&tree=all
Depends on: 1229376
See Also: → bug 1219970
See Also: → bug 1231305
See Also: → bug 1233270
(Assignee)

Updated

2 years ago
Depends on: 1248550
(Assignee)

Comment 41

2 years ago
Bug 1248550 might fix this.
Flags: needinfo?(jvarga)
Duplicate of this bug: 1219970
Duplicate of this bug: 1231305
Duplicate of this bug: 1233270
Fixed by bug 1179538.
Assignee: nobody → jvarga
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla47
You need to log in before you can comment on or make changes to this bug.